base-4.18.1.0: Basic libraries

Copyright | (c) The University of Glasgow 2008-2009
License | see libraries/base/LICENSE
Maintainer | libraries@haskell.org
Stability | internal
Portability | non-portable
Safe Haskell | Trustworthy
Language | Haskell2010

GHC.IO.Encoding.Iconv

Description

This module provides text encoding/decoding using iconv

Synopsis

- iconvEncoding :: String -> IO (Maybe TextEncoding)
- mkIconvEncoding :: CodingFailureMode -> String -> IO (Maybe TextEncoding)
- localeEncodingName :: String

# Documentation

iconvEncoding :: String -> IO (Maybe TextEncoding) Source #

mkIconvEncoding :: CodingFailureMode -> String -> IO (Maybe TextEncoding) Source #

Construct an iconv-based `TextEncoding` for the given character set and `CodingFailureMode`.

As iconv is missing in some minimal environments (e.g. #10298), this checks to ensure that iconv is working properly before returning the encoding, returning `Nothing` if not.

localeEncodingName :: String Source #